## 2.5 Fantoir

![](/images/Lecture_formats_DGFIP/02.Majic/04.Fantoir.png)
*Modèle de données des fichiers Fantoirs*

### Article direction

Type d&rsquo;entité : FANTOIR_DIRECTION

<table class="docutils" border="1">
<thead><tr class="tableizer-firstrow"><th>NOM</th><th>DESCRIPTION</th><th>OBSERVATION</th></tr></thead><tbody>
 <tr class="row-odd"><td>CCODEP</td><td>Code département au sens INSEE</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CCODIR</td><td>Code direction DGI.</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CLE_RIVOLI</td><td>Zone alphabétique fournie par MAJIC2.</td><td>Contrôle la validité de DEP DIR COM VOI.</td></tr>
 <tr class="row-odd"><td>LIBDEP</td><td>Désignation du département sur 30 caractères</td><td></td></tr>
</tbody></table>

### Article des communes

Type d&rsquo;entité : FANTOIR_COMMUNE

<table class="docutils" border="1">
<thead><tr class="tableizer-firstrow"><th>NOM</th><th>DESCRIPTION</th><th>OBSERVATION</th></tr></thead><tbody>
 <tr class="row-even"><td>CCODEP</td><td>Code département au sens INSEE.</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CCODIR</td><td>Code direction DGI.</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CCOCOM</td><td>Code commune définie par MAJIC2.</td><td>A blanc si article direction.</td></tr>
 <tr class="row-odd"><td>CLERIVOLI</td><td>Zone alphabétique fournie par MAJIC2.</td><td>Contrôle la validité de DEP DIR COM VOI.</td></tr>
 <tr class="row-even"><td>LIBCOM</td><td> Désignation de la commune sur 30 caractères pour les communes</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>TYPCOM</td><td>Permet de distinguer les communes recensées des communes rurales</td><td>N = commune rurale. R = commune recensée. A blanc si article direction.</td></tr>
 <tr class="row-even"><td>RUR</td><td>Indique si la commune est pseudo-recensée ou non.</td><td>3 = commune pseudo-recensée blanc = rien</td></tr>
 <tr class="row-odd"><td>CARPOP</td><td>Précise la dernière situation connue de la commune au regard de la limite de 3000 habitants (= blanc si < 3000 h sinon = \*).</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>POPREELLE</td><td>Dénombre la population recensée lors du dernier recensement.</td><td>Servie sur l&rsquo;article commune uniquement. </td></tr>
 <tr class="row-odd"><td>POPAPART</td><td>Dénombre la population comptée à part dans la commune.</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>POPFICT</td><td>Population fictive de la commune.</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>ANNULATION</td><td>Cet article indique que plus aucune entité topo n&rsquo;est représentée par ce code.</td><td>O = voie annulée sans transfert. Q = voie annulée avec transfert. Q = commune annulée avec transfert.</td></tr>
 <tr class="row-even"><td>DATEANNUL</td><td>Date d&rsquo;annulation.</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>DATECREA</td><td>Date à laquelle l&rsquo;article a été créé par création MAJIC2.</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>ID_COM</td><td>&nbsp;</td><td>CCODEP+CCODIR+CCOCOM</td></tr>
 <tr class="row-odd"><td>CODE_INSEE</td><td>&nbsp;</td><td>CCODEP+CCOCOM</td></tr>
</tbody></table>


### Article des voies

Type d&rsquo;entité : FANTOIR_VOIE

<table class="docutils" border="1">
<thead><tr class="tableizer-firstrow"><th>NOM</th><th>DESCRIPTION</th><th>OBSERVATION</th></tr></thead><tbody>
 <tr class="row-even"><td>CCODEP</td><td>Code département au sens INSEE.</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>CCODIR</td><td>Code direction DGI.</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>CCOCOM</td><td>Code commune défini par MAJIC2.</td><td>A blanc si article direction.</td></tr>
 <tr class="row-odd"><td>RIVOLI</td><td>Identifiant de voie dans la commune.</td><td>A blanc si article direction ou commune.</td></tr>
 <tr class="row-even"><td>CLERIVOLI</td><td>Zone alphabétique fournie par MAJIC2.</td><td>Contrôle la validité de DEP DIR COM VOI.</td></tr>
 <tr class="row-odd"><td>CODEVOIE</td><td>Code nature de voie sur 4 caractères</td><td><a href="../../Tables de correspondance/04.Fantoir.html#a-codevoie-nature-de-la-voie">Consultez la table de correspondance</a></td></tr>
 <tr class="row-even"><td>LIBCOM</td><td>libellé de voie sur 26 caract. pour les voies.</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>TYPCOM</td><td>Permet de distinguer les communes recensées des communes rurales</td><td>N = commune rurale.R = commune recensée.A blanc si article direction.</td></tr>
 <tr class="row-even"><td>RUR</td><td>Indique si la commune est pseudo-recensée ou non.</td><td>3 = commune pseudo-recenséeblanc = rien</td></tr>
 <tr class="row-odd"><td>CARVOIE</td><td>Zone indiquant si la voie est privée (1) ou publique (0)</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>ANNULATION</td><td>Cet article indique que plus aucune entité topo n&rsquo;est représentée par ce code.</td><td>O = voie annulée sans transfert.</br>Q = voie annulée avec transfert.</br>Q = commune annulée avec transfert.</td></tr>
 <tr class="row-odd"><td>DATEANNUL</td><td>&nbsp;</td><td>&nbsp;</td></tr>
 <tr class="row-even"><td>DATECREA</td><td>Date à laquelle l&rsquo;article a été créé par création MAJIC2.</td><td>&nbsp;</td></tr>
 <tr class="row-odd"><td>MAJIC2</td><td>Code identifiant la voie dans MAJIC2.</td><td>Permet de faire le lien entre le code voie RIVOLI et le code voie MAJIC2.</td></tr>
 <tr class="row-even"><td>TYPEVOIE</td><td>Indicateur de la classe de la voie.1 = voie.2 = ensemble immobilier.3 = lieu-dit.4 = pseudo-voie.5 = voie provisoire.</td><td>Permet de distinguer les différents types de voie.</td></tr>
 <tr class="row-odd"><td>INDIC</td><td>Zone servie uniquement pour les lieux-dits. Permet d&rsquo;indiquer si le lieu-dit comporte ou non un bâtiment dans MAJIC.</td><td>= 1 pour lieu-dit non bâti,= 0 sinon.</td></tr>
 <tr class="row-even"><td>MOTCLASS</td><td>Dernier mot entièrement alphabétique du libellé de voie.</td><td>Permet de restituer l&rsquo;ordre alphabétique.</td></tr>
 <tr class="row-odd"><td>CODE_INSEE</td><td>&nbsp;</td><td>CCODEP+CCOCOM</td></tr>
 <tr class="row-even"><td>ID_COM</td><td>&nbsp;</td><td>CCODEP+CCODIR+CCOCOM</td></tr>
 <tr class="row-odd"><td>ID_RIVOLI</td><td>&nbsp;</td><td>CCODEP+CCODIR+CCOCOM+CCORIV</td></tr>
 <tr class="row-even"><td>L_NATURE_VOIE</td><td>&nbsp;</td><td><a href="../../Tables de correspondance/04.Fantoir.html#a-codevoie-nature-de-la-voie">Consultez la table de correspondance</a></td></tr>
</tbody></table>
